Subject: RE: [PATCH 5/6] fix warning on test_ti_thread_flag()

From: "Chen, Kenneth W" <[email-masked]>
Date: Wed, 25 Jan 2006 12:02:21 -0800

Geert Uytterhoeven wrote on Wednesday, January 25, 2006 9:19 AM
> > I don't think you need to change the flags size.
> 
> Passing a pointer to a 32-bit entity to a function that takes a
> pointer to a 64-bit entity is a classical endianness bug. So it's
> better to change it, before people copy the code to a big endian
> platform.

Well, x86-64 and linux-ia64 both use little endian.  I don't
understand why you are barking at us with big endian issue.

- Ken

Side-note: cc list trimmed.